#!/bin/bash
# This script will remove all by the latest file in your /p4/1/depots/ tree.
# It is designed to work with servers running with lbr.autocompress=1 set in the configurables.

IFS=$'\n' array=($(find '/p4/1/depots/' -type d | grep ",d" | uniq ))
for dir in "${array[@]}"
do
  if [[ !($dir =~ .*unload.*) || !($dir =~ .*spec.*) ]]; then
    farray=($(ls -t $dir | awk "NR > 1"))
    for dfile in "${farray[@]}"
    do
      rm -f "$dir/$dfile"
    done
  fi
done
